The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> pthread_self - get the calling thread ID

#### SYNOPSIS

> ``[THR] #include <pthread.h>
> pthread_t pthread_self(void);``
> `
> `

#### DESCRIPTION

> The pthread_self() function shall return the thread ID of the calling thread.

#### RETURN VALUE

> Refer to the DESCRIPTION.

#### ERRORS

> No errors are defined.

> The pthread_self() function shall not return an error code of [EINTR].

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> The pthread_self() function provides a capability similar to the getpid() function for processes and the rationale is the same: the creation call does not provide the thread ID to the created thread.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> pthread_create(), pthread_equal(), the Base Definitions volume of IEEE Std 1003.1-2001, <pthread.h>

#### CHANGE HISTORY

> First released in Issue 5. Included for alignment with the POSIX Threads Extension.

#### Issue 6

> The pthread_self() function is marked as part of the Threads option.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]